#include "TinyWireS.h"

#define I2C_SLAVE_ADDR (1) 
#define sgnled PB4						// Signal led on PB4

void setup() {
  TinyWireS.begin(I2C_SLAVE_ADDR);
  pinMode(sgnled,OUTPUT);             	// Signal led as output
}

volatile byte msg = 0;

void loop() {
  if(TinyWireS.available())
    msg = TinyWireS.read();

  if(msg == 1)
    digitalWrite(sgnled, HIGH);
  else if(msg == 0)
    digitalWrite(sgnled, LOW);
  else
    msg = 0;
}
